package de.lmu.ifi.pst.uwejsf.framework;

import java.util.HashMap;

/**
 * Extends HashMap<String, Boolean> by simply returning false instead null if an entry is not found. 
 * @author Christian
 *
 */
public class StateFlagMap extends HashMap<String, Boolean> {


	private static final long serialVersionUID = -8458646527608359322L;

	@Override
	public Boolean get(Object key) {
		Boolean b = super.get(key); 
		if (b == null) return false;
		else return b;
	}

}
